> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orkesta.com.tr/llms.txt
> Use this file to discover all available pages before exploring further.

# İptal/İade Sorgulama

> Belirli bir işleme ait tüm iade detaylarını getirir

## 💰 İade Detayları

Belirli bir işleme ait tüm iade detaylarını ve ürün bazlı iade bilgilerini getirir.

**`GET`** `https://api-test.fincraft.com.tr/api/v1/general/operations/refunds/details`

<Info>
  Eğer sadece `referenceId` gönderilirse, bu işleme ait tüm ürünlerin iade detayları döner. Eğer hem `referenceId` hem de `externalId` gönderilirse, sadece belirtilen ürüne ait iade detayları döner.
</Info>

## Query Parameters

| Parametre     | Tip    | Zorunlu | Açıklama                                                                    |
| ------------- | ------ | ------- | --------------------------------------------------------------------------- |
| `referenceId` | UUID   | Evet    | Ana işlemin referans ID'si.                                                 |
| `externalId`  | String | Hayır   | Ürünün external ID'si. Belirtilmezse tüm ürünler için iade detayları döner. |

## Response Body

```json theme={null}
{
    "success": true,
    "data": {
        "remainingAmount": 500.00,
        "commissionAmount": 15.00,
        "referenceId": "550e8400-e29b-41d4-a716-446655440000",
        "totalRefundCount": 2,
        "totalRefundAmount": 200.00,
        "status": "PARTIALLY_REFUNDED",
        "productRefundDetails": [
            {
                "productRemainingAmount": 300.00,
                "externalId": "PROD-001",
                "productStatus": "COMPLETED",
                "refunds": [
                    {
                        "refundAmount": 100.00,
                        "refundDate": "2025-01-16T14:20:00",
                        "refundStatus": "SUCCESS",
                        "transactionId": "660e8400-e29b-41d4-a716-446655440001"
                    }
                ]
            }
        ]
    }
}
```

## cURL Örneği

```bash theme={null}
curl -X GET "https://api-test.fincraft.com.tr/api/v1/general/operations/refunds/details?referenceId=550e8400-e29b-41d4-a716-446655440000" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
```
